package com.YuyeTech.TPlat.game.gameInfo.service;

import com.YuyeTech.TPlat.game.gameInfo.projo.GameInfo;
import com.YuyeTech.TPlat.dataobject.Recommend;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

/**
 * @author:slambb
 * @date:2020/2/4
 */
public interface RecommendService {
    //根据是否推荐的Int 字段来判断是否上推荐列表
    Map findByRecommendType(String userId,Integer recommendType, String endTime, Pageable pageable);

    Map findByRecommendTypeAndPlatform(String userId,Integer recommendType,Integer platform, String endTime, Pageable pageable);

    /**
     * 3D 视界
     * @param recommendType
     * @param pageable
     * @return
     */
    //根据是否推荐的Int 字段来判断是否上推荐列表
    List<GameInfo> TDFindByRecommendType(Integer recommendType, Pageable pageable);



    //查找返回视频和游戏两个列表
    Map findTwoListsByAll(String userId,String endTime,Pageable pageable);

    Recommend addRecommend(Recommend recommend);

    String deleteByGameId(String gameId);
}
